Community
cancel
Showing results for 
Search instead for 
Did you mean: 
shin__dongmin
Beginner
175 Views

AESM has already installed by INF on this platform. install will cancel

Hello, I got a message while I was installing SGX PSW.

Actually, I installed SGX SDK and PSW on Visual Studio 2017. so I uninstalled SGX SDK, PSW and Visual Studio 2017 first and installed Visual Studio 2015 Professional to use SGX.

But, when I try to install SGX PSW, it shows me the message "AESM has already installed by INF on this platform. install will cancel".

 

Does anyone have an idea ?

0 Kudos
3 Replies
175 Views

On recent versions of Windows 10, SGX PSW will NOT appear in Control Panel\Programs\Programs and Features (it is not installed via a GUI exe installer, it is instead installed as a driver via Windows Update).

You should be able to find it under
1) Device Manager -> System devices -> Intel(R) Software Guard Extensions Device
and
2) Device Manager -> Software Components -> Intel(R) Software Guard Extensions Device

If installed properly, you should see "Intel® SGX AESM" as one of the services on your system. You can view the services in your system by running "services.msc".

The GUI exe installer will not override the already installed driver/inf installer.

There are more details in the Release Notes and the Installation Guide.

Please let me know if you still have any questions.

Thanks,

Francisco

 

shin__dongmin
Beginner
175 Views

Hello, thank you for answering.

My desktop qualified conditions what you mentioned (below)

1) Device Manager -> System devices -> Intel(R) Software Guard Extensions Device
2) Device Manager -> Software Components -> Intel(R) Software Guard Extensions Device
3) "Intel® SGX AESM" on services

So, I installed SGX SDK and tried build "SampleEnclave".
But still there are a lot of problems on Visual Studio Professional 2015 during build step.

Does SGX support Visual Studio 2017 Community, too ?
When I used Visual Studio 2017 Community, there was so problem for building app and executing it.

175 Views

Different SDK versions are compatible with different versions of Visual Studio.

The latest SDK is compatible with VS2017. From the SDK release notes:

Visual Studio 2017 Add-in Tool is designed to work with the Microsoft Visual Studio
Professional 2017 environment. While Visual Studio* Professional 2017 is the
recommended environment, the tools may also be installed with the Community and
Enterprise versions of Visual Studio 2017